Draft Array/es: Difference between revisions

From FreeCAD Documentation
(Created page with "Para matrices ortogonales:")
(Updating to match new version of source page)
(27 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand/es|Name=Draft_Array|Workbenches=[[Draft Module/es|Boceto]], [[Arch Module/es|Arquitectura]]|MenuLocation=Boceto-> Matriz}}


{{VeryImportantMessage|This command is deprecated in 0.19. For the new usage, see [[Draft_OrthoArray|Draft OrthoArray]], which works essentially the same way.
Also see [[Draft_PolarArray|Draft PolarArray]] and [[Draft_CircularArray|Draft CircularArray]].}}

{{Docnav/es
|[[Draft_Draft2Sketch|Draft to Sketch]]
|[[Draft_LinkArray|Link Array]]
|[[Draft_Module|Draft]]
|IconL=Draft_Draft2Sketch.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_LinkArray.svg
}}

{{GuiCommand/es
|Name=Draft_Array|Name/es=Draft Array
|MenuLocation=Boceto → Matriz
|Workbenches=[[Draft Module/es|Boceto]], [[Arch Module/es|Arquitectura]]
|SeeAlso=[[Draft_PolarArray|PolarArray]], [[Draft_CircularArray|CircularArray]], [[Draft_PathArray|PathArray]], [[Draft_PointArray|PointArray]], [[Draft_Clone|Clone]]
}}

<div class="mw-translate-fuzzy">
==Descripción==
==Descripción==


La herramienta Matriz crea matrices ortogonalea (3 ejes) o polares a partir de los objetos seleccionados. Si no se selecciona ningún objeto, te solicitará que selecciones uno.
La herramienta Matriz crea matrices ortogonalea (3 ejes) o polares a partir de los objetos seleccionados. Si no se selecciona ningún objeto, te solicitará que selecciones uno.
</div>

The {{Button|[[Image:Draft Array.svg|16px]] [[Draft Array|Draft Array]]}} tool creates an orthogonal (3-axes), polar, or circular array from a selected object.

This tool can be used on 2D shapes created with the [[Draft_Workbench|Draft Workbench]] but can also be used on many types of 3D objects such as those created with the [[Part_Workbench|Part Workbench]] or [[PartDesign_Workbench|PartDesign Workbench]].

To create polar and circular arrays directly, use the corresponding [[Draft_PolarArray|PolarArray]] and [[Draft_CircularArray|CircularArray]] tools; to position copies along a path use [[Draft_PathArray|PathArray]]; to position copies at specified points use [[Draft_PointArray|PointArray]]; to create copies or clones, and manually place them use [[Draft_Move|Move]], [[Draft_Rotate|Rotate]], and [[Draft_Clone|Clone]].

To create [[App_Link|App Links]] instead of simple copies, use [[Draft_LinkArray|LinkArray]], [[Draft_PathLinkArray|Path LinkArray]], and the proper option with [[Draft_PolarArray|PolarArray]] and [[Draft_CircularArray|CircularArray]] .


[[File:Draft_Array_example.png|x300px]] [[File:Draft_PolarArray_example.png|x300px]]
<div class="mw-translate-fuzzy">
[[Image:Draft_Array_example.jpg|400px]]
[[Image:Draft_Array_example.jpg|400px]]
</div>


[[File:Draft_CircularArray_example.png|x300px]]

{{Caption|Circular array from a solid object}}

<div class="mw-translate-fuzzy">
==Utilizaación==
==Utilizaación==


# Selecciona un objeto a partir del que desees crear una matriz
# Selecciona un objeto a partir del que desees crear una matriz
# Presiona el botón {{KEY|[[Image:Draft Array.png|16px]] [[Draft Array/es|Matriz]]}}
# Presiona el botón {{KEY|[[Image:Draft Array.png|16px]] [[Draft Array/es|Matriz]]}}
</div>


Each element in the array is an exact clone of the original object, but the entire array is considered a single unit in terms of properties and appearance.

== Options ==

There are no options for this tool. Either it works with the selected object or not.

== Properties ==
* {{PropertyData|Base}}: specifies the object to duplicate in the array.
* {{PropertyData|Array Type|Enumeration}}: specifies the type of array to create, {{value|"ortho"}}, {{value|"polar"}}, or {{value|"circular"}}.
* {{PropertyData|Fuse}}: if it is {{TRUE}}, and the copies intersect with each other, they will be fused together into a single shape.

For orthogonal arrays:
* {{PropertyData|Interval X}}: specifies the interval between each copy on the X axis.
* {{PropertyData|Interval Y}}: specifies the interval between each copy on the Y axis.
* {{PropertyData|Interval Z}}: specifies the interval between each copy on the Z axis.
* {{PropertyData|Number X}}: specifies the number of copies on the X axis.
* {{PropertyData|Number Y}}: specifies the number of copies on the Y axis.
* {{PropertyData|Number Z}}: specifies the number of copies on the Z axis.

For polar arrays:
* {{PropertyData|Axis}}: specifies the normal direction of the array circle.
* {{PropertyData|Center}}: specifies the center point of the array circle.
* {{PropertyData|Angle}}: specifies the aperture of the circular arc to cover with copies; use 360 to cover an entire circle.
* {{PropertyData|Number Polar}}: specifies the number of copies to place in the circular arrangement.
* {{PropertyData|Interval Axis}}: specifies the interval between each copy on the {{PropertyData|Axis}} direction.

For circular arrays:
* {{PropertyData|Number Circles}}:
* {{PropertyData|Radial distance}}:
* {{PropertyData|Symmetry}}:
* {{PropertyData|Tangential Distance}}:

The number property, either X, Y, Z, or Polar, also includes the original object, so this number will be at least one.

An interval is not a simple distance, but a vector (x, y, z). If more than one value is non-zero, the copy will be created in the main direction, but will also be displaced in the other non-zero directions.

For example, if {{PropertyData|Interval X}} is (2 m, 1 m, 1 m), and {{PropertyData|Number X}} is 3, it will create 3 copies in the X direction; the first copy will be at the original position, the second will be displaced 2 m on X, 1 m on Y, and 1 m on Z; the third copy will be displaced 4 m on X, 2 m on Y, and 2 m on Z. Each array element will be moved slightly to one side (Y direction) and up (Z direction) beside the main X direction.

The {{PropertyData|Interval Axis}} property works in the same way. If the original shape lies on the XY plane, creating a polar array with {{PropertyData|Interval Axis}} (0, 0, z) allows you to make spiral arrangements.

==Scripting==
{{Emphasis|See also:}} [[Draft API|Draft API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].

The Array tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using two different functions, depending on if you wish to obtain standalone copies of your base object, or a parametric array object that stays linked to the original object.

<div class="mw-translate-fuzzy">
==Opciones==
==Opciones==


* La matriz se inicia como ortogonal por defecto, puedes cambiar su modo en las propiedades.
* La matriz se inicia como ortogonal por defecto, puedes cambiar su modo en las propiedades.
</div>


{{Code|code=
array_list = array(objectslist, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None)
}}

To create a rectangular array, use it like this:

{{Code|code=
array_list = array(objectslist, xvector, yvector, xnum, ynum)
array_list = array(objectslist, xvector, yvector, zvector, xnum, ynum, znum)
}}

<div class="mw-translate-fuzzy">
==Propiedades==
==Propiedades==


* {{PropertyData|Array Type}}: Especifica el tipo de matriz orto o polar
* {{PropertyData|Array Type}}: Especifica el tipo de matriz orto o polar
</div>


{{Code|code=
Para matrices ortogonales:
array_list = array(objectslist, center, totalangle, totalnum)
}}


<div class="mw-translate-fuzzy">
* {{PropertyData|Interval X}}: El intervalo entre cada copia sobre el primer eje
Ejemplo:
* {{PropertyData|Interval Y}}: El intervalo entre cada copia sobre el segundo eje
</div>
* {{PropertyData|Interval Z}}: El intervalo entre cada copia sobre el tercer eje
* {{PropertyData|Number X}}: El número de copias sobre el primer eje
* {{PropertyData|Number Y}}: El número de copias sobre el segundo eje
* {{PropertyData|Number Z}}: El número de copias sobre el tercer eje


This function internally uses {{incode|Draft.move()}} and {{incode|Draft.rotate()}} with <code>copy=True</code>.

Example:

{{Code|code=
import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)

array_list = Draft.array(Rect, FreeCAD.Vector(1600, 0, 0), FreeCAD.Vector(0, 600, 0), 3, 4)
}}

<div class="mw-translate-fuzzy">
Para matrices polares:
Para matrices polares:


Line 35: Line 145:
* {{PropertyData|Angle}}: El ángulo a cubrir con las copias
* {{PropertyData|Angle}}: El ángulo a cubrir con las copias
* {{PropertyData|Number Polar}}: El número de copias
* {{PropertyData|Number Polar}}: El número de copias
</div>


The basic signature is as follows:

{{Code|code=
Array = makeArray(baseobject, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, name="Array")
}}

<div class="mw-translate-fuzzy">
Para matrices ortogonales:
</div>

{{Code|code=
Array = makeArray(baseobject, xvector, yvector, xnum, ynum, name="Array")
Array = makeArray(baseobject, xvector, yvector, zvector, xnum, ynum, znum, name="Array")
}}

<div class="mw-translate-fuzzy">
==Archivos de guión==
==Archivos de guión==


La herramienta Matriz se puede utilizar en [[macros/es|macros]] y desde la consola de Python utilizando la siguiente función:
La herramienta Matriz se puede utilizar en [[macros/es|macros]] y desde la consola de Python utilizando la siguiente función:
</div>


{{Code|code=
Array = makeArray(baseobject, center, totalangle, totalnum, name="Array")
}}

<div class="mw-translate-fuzzy">
Para matrices ortogonales:
Para matrices ortogonales:
</div>
<syntaxhighlight>
array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])
</syntaxhighlight>
For polar array:
<syntaxhighlight>
array (objectslist,center,totalangle,totalnum)
</syntaxhighlight>
* Creates an array of the objects contained in list (that can be an object or a list of objects) with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
* This function produces standalone copies of the base object(s)


<div class="mw-translate-fuzzy">
Or
Para matrices polares:
</div>
{{Code|code=
import FreeCAD, Draft


Rect = Draft.makeRectangle(1500, 500)
For rectangular array:
xvector = FreeCAD.Vector(1600, 0, 0)
<syntaxhighlight>
yvector = FreeCAD.Vector(0, 600, 0)
makeArray (object,xvector,yvector,xnum,ynum)
Array = Draft.makeArray(Rect, xvector, yvector, 3, 4)
</syntaxhighlight>
For polar array:
<syntaxhighlight>
makeArray (object,center,totalangle,totalnum)
</syntaxhighlight>
* Creates an array of the given object with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
* The result of this function is a parametric Draft Array object.


Tri = Draft.makePolygon(3, 600)
Example:
center = FreeCAD.Vector(-1600, 0, 0)
<syntaxhighlight>
Array2 = Draft.makeArray(Tri, center, 360, 6)
import FreeCAD,Draft
}}
Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)


{{Docnav/ea
</syntaxhighlight>
|[[Draft_Draft2Sketch|Draft to Sketch]]
|[[Draft_LinkArray|Link Array]]
|[[Draft_Module|Draft]]
|IconL=Draft_Draft2Sketch.svg
|IconC=Workbench_Draft.svg
|IconR=Draft_LinkArray.svg
}}

{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}
<languages/>

Revision as of 22:35, 18 March 2020

This command is deprecated in 0.19. For the new usage, see Draft OrthoArray, which works essentially the same way. Also see Draft PolarArray and Draft CircularArray.

Draft Array

Ubicación en el Menú
Boceto → Matriz
Entornos de trabajo
Boceto, Arquitectura
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
PolarArray, CircularArray, PathArray, PointArray, Clone

Descripción

La herramienta Matriz crea matrices ortogonalea (3 ejes) o polares a partir de los objetos seleccionados. Si no se selecciona ningún objeto, te solicitará que selecciones uno.

The Draft Array tool creates an orthogonal (3-axes), polar, or circular array from a selected object.

This tool can be used on 2D shapes created with the Draft Workbench but can also be used on many types of 3D objects such as those created with the Part Workbench or PartDesign Workbench.

To create polar and circular arrays directly, use the corresponding PolarArray and CircularArray tools; to position copies along a path use PathArray; to position copies at specified points use PointArray; to create copies or clones, and manually place them use Move, Rotate, and Clone.

To create App Links instead of simple copies, use LinkArray, Path LinkArray, and the proper option with PolarArray and CircularArray .

Circular array from a solid object

Utilizaación

  1. Selecciona un objeto a partir del que desees crear una matriz
  2. Presiona el botón Matriz

Each element in the array is an exact clone of the original object, but the entire array is considered a single unit in terms of properties and appearance.

Options

There are no options for this tool. Either it works with the selected object or not.

Properties

  • DatosBase: specifies the object to duplicate in the array.
  • DatosArray Type (Enumeration): specifies the type of array to create, "ortho", "polar", or "circular".
  • DatosFuse: if it is true, and the copies intersect with each other, they will be fused together into a single shape.

For orthogonal arrays:

  • DatosInterval X: specifies the interval between each copy on the X axis.
  • DatosInterval Y: specifies the interval between each copy on the Y axis.
  • DatosInterval Z: specifies the interval between each copy on the Z axis.
  • DatosNumber X: specifies the number of copies on the X axis.
  • DatosNumber Y: specifies the number of copies on the Y axis.
  • DatosNumber Z: specifies the number of copies on the Z axis.

For polar arrays:

  • DatosAxis: specifies the normal direction of the array circle.
  • DatosCenter: specifies the center point of the array circle.
  • DatosAngle: specifies the aperture of the circular arc to cover with copies; use 360 to cover an entire circle.
  • DatosNumber Polar: specifies the number of copies to place in the circular arrangement.
  • DatosInterval Axis: specifies the interval between each copy on the DatosAxis direction.

For circular arrays:

  • DatosNumber Circles:
  • DatosRadial distance:
  • DatosSymmetry:
  • DatosTangential Distance:

The number property, either X, Y, Z, or Polar, also includes the original object, so this number will be at least one.

An interval is not a simple distance, but a vector (x, y, z). If more than one value is non-zero, the copy will be created in the main direction, but will also be displaced in the other non-zero directions.

For example, if DatosInterval X is (2 m, 1 m, 1 m), and DatosNumber X is 3, it will create 3 copies in the X direction; the first copy will be at the original position, the second will be displaced 2 m on X, 1 m on Y, and 1 m on Z; the third copy will be displaced 4 m on X, 2 m on Y, and 2 m on Z. Each array element will be moved slightly to one side (Y direction) and up (Z direction) beside the main X direction.

The DatosInterval Axis property works in the same way. If the original shape lies on the XY plane, creating a polar array with DatosInterval Axis (0, 0, z) allows you to make spiral arrangements.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Array tool can be used in macros and from the Python console by using two different functions, depending on if you wish to obtain standalone copies of your base object, or a parametric array object that stays linked to the original object.

Opciones

  • La matriz se inicia como ortogonal por defecto, puedes cambiar su modo en las propiedades.
array_list = array(objectslist, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None)

To create a rectangular array, use it like this:

array_list = array(objectslist, xvector, yvector, xnum, ynum)
array_list = array(objectslist, xvector, yvector, zvector, xnum, ynum, znum)

Propiedades

  • DatosArray Type: Especifica el tipo de matriz orto o polar
array_list = array(objectslist, center, totalangle, totalnum)

Ejemplo:

This function internally uses Draft.move() and Draft.rotate() with copy=True.

Example:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)

array_list = Draft.array(Rect, FreeCAD.Vector(1600, 0, 0), FreeCAD.Vector(0, 600, 0), 3, 4)

Para matrices polares:

  • DatosAxis: La dirección normal a la circunferencia de la matriz
  • DatosCenter: El punto centro de la matriz
  • DatosAngle: El ángulo a cubrir con las copias
  • DatosNumber Polar: El número de copias

The basic signature is as follows:

Array = makeArray(baseobject, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, name="Array")

Para matrices ortogonales:

Array = makeArray(baseobject, xvector, yvector, xnum, ynum, name="Array")
Array = makeArray(baseobject, xvector, yvector, zvector, xnum, ynum, znum, name="Array")

Archivos de guión

La herramienta Matriz se puede utilizar en macros y desde la consola de Python utilizando la siguiente función:

Array = makeArray(baseobject, center, totalangle, totalnum, name="Array")

Para matrices ortogonales:

Para matrices polares:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)
xvector = FreeCAD.Vector(1600, 0, 0)
yvector = FreeCAD.Vector(0, 600, 0)
Array = Draft.makeArray(Rect, xvector, yvector, 3, 4)

Tri = Draft.makePolygon(3, 600)
center = FreeCAD.Vector(-1600, 0, 0)
Array2 = Draft.makeArray(Tri, center, 360, 6)

Template:Docnav/ea